<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:gazelle="http://www.ihe.net/gazelle" xmlns:c="http://java.sun.com/jstl/core"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="/layout/panels/_panel_collapse.xhtml">
        <ui:param name="panel_id" value="collapseList#{expression.fakeId}"/>
        <ui:param name="openByDefault" value="true"/>
        <ui:define name="panel_title">
            <h:outputText value="#{expressionName} ##{expression.fakeId}"/>
            <s:span styleClass="pull-right">
                <h:commandLink title="#{messages['net.ihe.gazelle.xval.SetAsRuleExpression']}"
                               execute="@this" render="globalDiv"
                               actionListener="#{ruleEditorManager.setMainExpression(expression.fakeId)}">
                    <s:span styleClass="fa gzl-icon-checked"/>
                </h:commandLink>
                <a4j:commandLink title="#{messages['net.ihe.gazelle.xval.MoveToExpression']}"
                               render="moveAlertPanel moveAlertContent"
                               actionListener="#{ruleEditorManager.setExToMoveFakeId(expression.fakeId)}"
                               oncomplete="jq162('#moveAlertPanel').modal('show');">
                    <s:span styleClass="fa fa-arrows gzl-text-blue"/>
                </a4j:commandLink>
                <h:commandLink title="#{messages['net.ihe.gazelle.xval.Delete']}"
                               execute="@this" render="workingBoard"
                               actionListener="#{ruleEditorManager.deleteExpression(expression.fakeId)}">
                    <s:span styleClass="fa fa-trash-o gzl-text-red"/>
                </h:commandLink>
            </s:span>
        </ui:define>
        <ui:insert name="expressionBody"/>
    </ui:decorate>
</ui:composition>
